angular-oauth2-oidc versions and peer dependencies

The table below has a list of all versions of angular-oauth2-oidc compatible peers dependencies.

Version Peer Dependency Versions
2.0.0 - 2.0.6
  • @angular/core @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
2.0.7 - 2.1.8
  • @angular/core @ ^4.0.0
  • @angular/http @ ^4.0.0
  • @angular/common @ ^4.0.0
  • rxjs @ ^5.1.0
  • zone.js @ ^0.8.4
3.0.0
  • @angular/core @ >= 4.3.0 < 6
  • @angular/http @ >= 4.3.0 < 6
  • @angular/common @ >= 4.3.0 < 6
  • rxjs @ >= 5.1.0
  • zone.js @ >= 0.8.4
3.0.1 - 3.1.4
  • @angular/core @ >= 4.3.0 < 6
  • @angular/common @ >= 4.3.0 < 6
  • rxjs @ >= 5.1.0
  • zone.js @ >= 0.8.4
4.0.0 - 4.0.3
  • @angular/common @ ^6.0.0
  • @angular/core @ ^6.0.0
5.0.0 - 5.0.2
  • @angular/common @ >=6.0.0 < 8.0.0
  • @angular/core @ >=6.0.0 < 8.0.0
8.0.0 - 8.0.4
  • @angular/common @ >=6.0.0
  • @angular/core @ >=6.0.0
9.0.0
  • @angular/common @ >=9.0.0
  • @angular/core @ >=9.0.0
9.0.1 - 9.2.2
  • @angular/common @ >=8.0.0
  • @angular/core @ >=8.0.0
  • tslib @ ^1.10.0
10.0.0 - 10.0.3
  • @angular/common @ >=8.0.0
  • @angular/core @ >=8.0.0